# Guess antibiotic column — guess_ab_col • AMR (for R)
This tries to find a column name in a data set based on information from the antibiotics data set. Also supports WHONET abbreviations.

# Guess antibiotic column

`guess_ab_col.Rd`

This tries to find a column name in a data set based on information from the `antibiotics` data set. Also supports WHONET abbreviations.

    guess_ab_col(x = NULL, search_string = NULL, verbose = FALSE)

## Arguments

x | a `data.frame`
search_string | a text to search `x` for
verbose | a logical to indicate whether additional info should be printed

## Value

A column name of `x`, or `NULL` when no result is found.

## Details

You can look for an antibiotic (trade) name or abbreviation and it will search `x` and the `antibiotics` data set for any column containing a name or ATC code of that antibiotic. Longer columns names take precendence over shorter column names.

## Read more on our website!

On our website https://msberends.gitlab.io/AMR you can find a tutorial about how to conduct AMR analysis, the complete documentation of all functions (which reads a lot easier than here in R) and an example analysis using WHONET data.

## Examples

    # NOT RUN {
    df <- data.frame(amox = "S",
                     tetr = "R")

    guess_ab_col(df, "amoxicillin")
    # [1] "amox"
    guess_ab_col(df, "J01AA07") # ATC code of tetracycline
    # [1] "tetr"

    guess_ab_col(df, "J01AA07", verbose = TRUE)
    # Note: Using column `tetr` as input for "J01AA07".
    # [1] "tetr"

    # WHONET codes
    df <- data.frame(AMP_ND10 = "R",
                     AMC_ED20 = "S")
    guess_ab_col(df, "ampicillin")
    # [1] "AMP_ND10"
    guess_ab_col(df, "J01CR02")
    # [1] "AMC_ED20"
    guess_ab_col(df, as.ab("augmentin"))
    # [1] "AMC_ED20"

    # Longer names take precendence:
    df <- data.frame(AMP_ED2 = "S",
                     AMP_ED20 = "S")
    guess_ab_col(df, "ampicillin")
    # [1] "AMP_ED20"
    # }